/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
#ifndef _COMMON_H
#define _COMMON_H

#include <artnet/artnet.h>
#include <artnet/packets.h>
#include <gtk/gtk.h>

#define MAX_BUTTONS 6

#define TICKS_PER_SECOND 30
enum {
	COLUMN_CHANNEL,
	COLUMN_DATA,
	NUMB_COLS
};

extern artnet_node node ;
extern artnet_node_entry active_node ;
extern int nodes_found ;
extern int transmiting ;

extern int8_t output_data[ARTNET_MAX_PORTS][ARTNET_MAX_DMX] ;


int on_packet_send(artnet_node n, void *pp, void *data) ;
int on_packet_recv(artnet_node n, void *pp, void *data) ;
int on_poll_recv(artnet_node n, void *pp, void *data) ;
int on_reply_recv(artnet_node n, void *pp, void *data) ;
int on_dmx_recv(artnet_node n, int port, void *data);


artnet_node_entry lookup_node_entry_by_id(artnet_node n, int id) ;
void change_active_node_to(GtkButton *button, artnet_node n, int id) ;

void update_recv_page(GtkWidget *widget, artnet_node n);
void update_trans_page(GtkWidget *widget, artnet_node n);
void update_remote_page(GtkWidget *widget, artnet_node n);

void transmit(artnet_node n, int port, GtkRange *range) ;

int tx_timeout(gpointer data) ;
#endif /* _COMMON_H */
